summaryrefslogtreecommitdiffstats
path: root/network/spice-gtk
diff options
context:
space:
mode:
author ponce <matteo.bernardini@gmail.com>2012-08-21 16:37:01 -0500
committer Robby Workman <rworkman@slackbuilds.org>2012-08-21 16:37:01 -0500
commit201f72d89d271fb9918f4632338764d29b8abbda (patch)
tree1a06eb28b76632d0f0a243e25a3447d9401e7ddf /network/spice-gtk
parentc2517d7f8cee8cefe1ddb0d513227fdb3a40ab7a (diff)
downloadslackbuilds-201f72d89d271fb9918f4632338764d29b8abbda.tar.gz
slackbuilds-201f72d89d271fb9918f4632338764d29b8abbda.tar.xz
network/spice-gtk: Added (spice gtk client/libraries)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'network/spice-gtk')
-rw-r--r--network/spice-gtk/README6
-rw-r--r--network/spice-gtk/slack-desc19
-rw-r--r--network/spice-gtk/spice-gtk.SlackBuild96
-rw-r--r--network/spice-gtk/spice-gtk.info10
4 files changed, 131 insertions, 0 deletions
diff --git a/network/spice-gtk/README b/network/spice-gtk/README
new file mode 100644
index 0000000000..c729f4c138
--- /dev/null
+++ b/network/spice-gtk/README
@@ -0,0 +1,6 @@
+spice-gtk (spice gtk client/libraries)
+
+A Gtk client and libraries for spice remote desktop servers.
+
+vala is an optional dependency and can be enabled with the
+parameter VALA=yes.
diff --git a/network/spice-gtk/slack-desc b/network/spice-gtk/slack-desc
new file mode 100644
index 0000000000..b0a89e8874
--- /dev/null
+++ b/network/spice-gtk/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+spice-gtk: spice-gtk (spice gtk client/libraries)
+spice-gtk:
+spice-gtk: A Gtk client and libraries for spice remote desktop servers.
+spice-gtk:
+spice-gtk: Homepage: http://spice-space.org
+spice-gtk:
+spice-gtk:
+spice-gtk:
+spice-gtk:
+spice-gtk:
+spice-gtk:
diff --git a/network/spice-gtk/spice-gtk.SlackBuild b/network/spice-gtk/spice-gtk.SlackBuild
new file mode 100644
index 0000000000..fd4b16ca21
--- /dev/null
+++ b/network/spice-gtk/spice-gtk.SlackBuild
@@ -0,0 +1,96 @@
+#!/bin/sh
+
+# Slackware build script for spice-gtk
+# Written by ponce <matteo.bernardini@gmail.com>
+
+PRGNAM=spice-gtk
+VERSION=${VERSION:-0.7}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+if [ "${VALA:-no}" = "no" ]; then
+ with_vala=""
+else
+ with_vala="--enable-vala"
+fi
+
+DOCS="AUTHORS COPYING NEWS README THANKS TODO"
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+rm gtk/controller/controller.{c,vala.stamp} gtk/controller/menu.c # force vala regen
+export VALAC=$(which valac)
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --localstatedir=/var \
+ --disable-static \
+ --enable-shared \
+ $with_vala \
+ --with-gtk=2.0 \
+ --with-audio=gstreamer \
+ --disable-smartcard \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/spice-gtk/spice-gtk.info b/network/spice-gtk/spice-gtk.info
new file mode 100644
index 0000000000..c2285ee4ed
--- /dev/null
+++ b/network/spice-gtk/spice-gtk.info
@@ -0,0 +1,10 @@
+PRGNAM="spice-gtk"
+VERSION="0.7"
+HOMEPAGE="http://spice-space.org"
+DOWNLOAD="http://spice-space.org/download/gtk/spice-gtk-0.7.tar.bz2"
+MD5SUM="a47ca51ef4bb27cab35ddbfb9e6c0fff"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="celt051 spice-protocol spice"
+MAINTAINER="ponce"
+EMAIL="matteo.bernardini@gmail.com"